@charset "UTF-8";
/* CSS Document */

/* ------------------------------------------ fonts sizes */
.text-xs { font-size: 0.75rem; }
.text-sm { font-size: 0.875rem; }
.text-md { font-size: 1.55rem; }
.text-mdl { font-size: 2.15rem; }
.text-l { font-size: 3.15rem; }
.text-lg { font-size: 6.5rem; line-height: 0.9;}
.text-lg-hero { font-size: 6.3rem;}
.text-xl { font-size: 9.5rem; }
.text-logotype { font-size: 1.85rem; }

/* ------------------------------------------ fonts weight */
.fw-400 { font-weight: 400; }
.fw-500 { font-weight: 500; }
.fw-600 { font-weight: 600; }
.fw-700 { font-weight: 700; }
.fw-800 { font-weight: 800; }
.fw-900 { font-weight: 900; }

/* ------------------------------------------ fonts lh */
.lh-tight_f { line-height: 0.8;margin: 0;padding: 0; }
.lh-tight_xlf { line-height: 0.8;margin: 0;padding: 0; }
.lh-tight { line-height: 1.1; }
.lh-normal { line-height: 1.5; }
.lh-loose { line-height: 1.8; }

/* ------------------------------------------ fonts align */
.text-left   { text-align: left; }
.text-center { text-align: center; }
.text-right  { text-align: right; }

/* ------------------------------------------ fonts */
.uppercase { text-transform: uppercase; }
.capitalize { text-transform: capitalize; }

/* ------------------------------------------ fonts box*/
.font--box {padding-left: clamp(4rem, 6vw, 8rem);  
	padding-right: clamp(4rem, 6vw, 8rem); }

/* ------------------------------------------ fonts spaces */
.font--space-bottom { padding-bottom: clamp(0.5rem, 1vw, 1.5rem); }

/* ------------------------------------------ fonts colors*/
.font--color-white {color: var(--color-white);}
.font--color-light {color: var(--color-light);}
.font--color-gray {color: var(--color-neutral-500);}
.font--color-dark {color: var(--color-dark);}
.font--color-violet {color: var(--color-violet);}
.font--color-hl {color: var(--color-primary);}

